import os
import sys
import importlib.util

# تنظیم مسیر پروژه
sys.path.insert(0, os.path.dirname(__file__))

# مسیر صحیح به wsgi.py داخل پروژه شما
WSGI_PATH = os.path.join(os.path.dirname(__file__), "basigansar", "wsgi.py")

# بارگذاری wsgi.py
spec = importlib.util.spec_from_file_location("wsgi", WSGI_PATH)
wsgi = importlib.util.module_from_spec(spec)
spec.loader.exec_module(wsgi)

# تنظیم application
application = wsgi.application
